"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.search = void 0;

var _i18nIsoCountries = _interopRequireDefault(require("i18n-iso-countries"));

var _prepare = _interopRequireDefault(require("./prepare"));

var _countries = _interopRequireDefault(require("./data/countries.json"));

var search = function search() {
  var input = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var type = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'official';

  var languages = _i18nIsoCountries["default"].langs(); // itarate through every language to find country name


  for (var i = 0; i < languages.length; i++) {
    var language = languages[i];

    var countryNames = _i18nIsoCountries["default"].getNames(language);

    var countryCodes = Object.keys(countryNames);

    for (var h = 0; h < countryCodes.length; h++) {
      var countryCode = countryCodes[h];

      if (type === 'official') {
        var countryName = (0, _prepare["default"])(countryNames[countryCode]);
        if (input === countryName) return countryCode;
      } else {
        var countryNameTranslations = _countries["default"][countryCode];

        for (var j = 0; j < countryNameTranslations.length; j++) {
          if (countryNameTranslations[j] === input) return countryCode;
        }
      }
    }
  }

  return undefined;
};
/**
 *  Lookop for country code
 */


exports.search = search;

var lookup = function lookup() {
  var input = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  if (typeof input !== 'string' && typeof input !== 'number') return undefined;

  var isAlpha2 = _i18nIsoCountries["default"].toAlpha2(input);

  if (isAlpha2) return isAlpha2;
  var countryNameSearch = (0, _prepare["default"])(input, true);
  if (!countryNameSearch) return undefined; // check if input is already a ISO code

  isAlpha2 = _i18nIsoCountries["default"].toAlpha2(countryNameSearch);
  if (isAlpha2) return isAlpha2;
  var result = search(countryNameSearch, 'official');
  if (result) return result;
  return search(countryNameSearch, 'translations');
};

var _default = lookup;
exports["default"] = _default;
module.exports = lookup;