"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _slugify = _interopRequireDefault(require("slugify"));

var _regex = _interopRequireDefault(require("./regex"));

var slugOpts = {
  replacement: '-',
  lower: true,
  remove: /[*+~.()'"!:@]/g
};
/**
 *  Prepare input value
 *   - trim
 *   - slugify
 *   - remove non-alphabetic character from start and end
 */

var _default = function _default() {
  var search = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var input = search.toString().trim();
  var slug = (0, _slugify["default"])(input, slugOpts).replace(_regex["default"], ''); // remove non-alphabetic character from start and end

  var output = slug || input.toLowerCase().replace(_regex["default"], ''); // slug could be empty if non latin chars only

  return output;
};

exports["default"] = _default;